# Squash SQL Script
# Roberto Machorro <rmach@ciberlinux.net>

# It is not necessary to edit this file, unless you believe that you have
# something that is better, in that case, please let me know! Other than
# that, this file is for your own personal info...

CREATE TABLE banners (
	id BIGINT UNSIGNED NOT NULL,
	name VARCHAR(25),
	url VARCHAR(250),
	img_url VARCHAR(250),
	PRIMARY KEY (id)
);

CREATE TABLE people (
	id BIGINT UNSIGNED NOT NULL,
	nick VARCHAR(8) NOT NULL,
	password VARCHAR(16),
	full_name VARCHAR(40),
	email VARCHAR(30),
	permits SMALLINT UNSIGNED ZEROFILL,
	PRIMARY KEY (id),
	KEY (nick)
);

CREATE TABLE topics (
	id BIGINT UNSIGNED NOT NULL,
	name VARCHAR(15) NOT NULL,
	description VARCHAR(80),
	PRIMARY KEY (id),
	KEY (name)
);

CREATE TABLE comments (
	id BIGINT UNSIGNED NOT NULL,
	id_post BIGINT UNSIGNED NOT NULL,
	id_author BIGINT UNSIGNED NOT NULL,
	td_stamp DATETIME,
	comment VARCHAR(255),
	PRIMARY KEY (id)
);

CREATE TABLE post_updates (
	id BIGINT UNSIGNED NOT NULL,
	id_post BIGINT UNSIGNED NOT NULL,
	id_author BIGINT UNSIGNED NOT NULL,
	td_stamp DATETIME,
	comment VARCHAR(255),
	PRIMARY KEY (id)
);

CREATE TABLE posts (
	id BIGINT UNSIGNED NOT NULL,
	title VARCHAR(25),
	id_author BIGINT UNSIGNED NOT NULL,
	id_topic BIGINT UNSIGNED NOT NULL,
	td_stamp DATETIME,
	source VARCHAR(255),
	PRIMARY KEY (id)
);

CREATE TABLE posts_summary (
	id BIGINT UNSIGNED NOT NULL,
	data VARCHAR(255),
	PRIMARY KEY (id)
);

CREATE TABLE posts_content (
	id BIGINT UNSIGNED NOT NULL,
	data TEXT,
	PRIMARY KEY (id)
);

